Description

| am currently looking at alternatives to MySQL as it is proving to be inadequate for scaling, high availability, and replication. The
most viable option would be MariaDB or Percona, | have chosen MariaDB.

e |nstall dependencies:

sudo su

apt—-get install build-essential libaio-dev bzr libtool debhelper libncurses5-dev libwrapO-dev
zliblg-dev libreadline-dev po-debconf chrpath doxygen texlive-latex-base ghostscript gawk biso
n hardening-wrapper cmake checkinstall

e Download MariaDB via bzr:

cd /usr/local/src
mkdir mariadb-server-5.5
bzr branch lp:maria/5.5 trunk

e Configure, compile, and build MariaDB .deb package:

cd 5.5

./configure

make

checkinstall -D make install

History

#1 - 12/31/2013 11:48 AM - Daniel Curtis

| found that going through a Debian repo works as well.

e First add the packaging keys and create /etc/apt/sources.list.d/mariadb.source.list:

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com Oxcbcb082albb943db
vi /etc/apt/sources.list.d/mariadb.source.list

And add:

deb-src http:/ftp.osuosl.org/pub/mariadb/repo/5.5/debian wheezy main
Then refresh the apt package listing and build dependencies for MariaDB:
sudo apt-get update

sudo apt-get build-dep mariadb-server

Switch to source directory and begin package compilation:
http://ftp.osuosl.org/pub/mariadb/repo/5.5/debian

cd /usr/src
apt-get -b source mariadb-server

#2 - 01/15/2014 01:55 AM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/16/2015 02:12 PM - Daniel Curtis
- Project changed from 65 to GNU/Linux Administration
- Description updated

- Category set to Database Server
